
package de.ivu.elect.presentation.benutzerverwaltung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.Benutzer;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.benutzerverwaltung.BenutzerEditView;

@Named(BenutzerEditAction.COMPONENT_NAME)
public class BenutzerEditAction extends AbstractBenutzerAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "benutzerEditAction";

  @View
  @Inject
  private BenutzerEditView benutzerEditView;

  public BenutzerEditAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.BENUTZER_EDIT;
  }

  @Override
  public boolean isDisabledInternal(@Nonnull Benutzer benutzer) {
    return false;
  }

  @Override
  protected String doIt(Benutzer benutzer) {
    return benutzerEditView.edit(benutzer);
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
